package com.kingdee.eas.custom.gggl;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.BOSObjectFactory;
import com.kingdee.bos.util.BOSObjectType;
import com.kingdee.bos.Context;

public class SaleContractE2Factory
{
    private SaleContractE2Factory()
    {
    }
    public static com.kingdee.eas.custom.gggl.ISaleContractE2 getRemoteInstance() throws BOSException
    {
        return (com.kingdee.eas.custom.gggl.ISaleContractE2)BOSObjectFactory.createRemoteBOSObject(new BOSObjectType("11891824") ,com.kingdee.eas.custom.gggl.ISaleContractE2.class);
    }
    
    public static com.kingdee.eas.custom.gggl.ISaleContractE2 getRemoteInstanceWithObjectContext(Context objectCtx) throws BOSException
    {
        return (com.kingdee.eas.custom.gggl.ISaleContractE2)BOSObjectFactory.createRemoteBOSObjectWithObjectContext(new BOSObjectType("11891824") ,com.kingdee.eas.custom.gggl.ISaleContractE2.class, objectCtx);
    }
    public static com.kingdee.eas.custom.gggl.ISaleContractE2 getLocalInstance(Context ctx) throws BOSException
    {
        return (com.kingdee.eas.custom.gggl.ISaleContractE2)BOSObjectFactory.createBOSObject(ctx, new BOSObjectType("11891824"));
    }
    public static com.kingdee.eas.custom.gggl.ISaleContractE2 getLocalInstance(String sessionID) throws BOSException
    {
        return (com.kingdee.eas.custom.gggl.ISaleContractE2)BOSObjectFactory.createBOSObject(sessionID, new BOSObjectType("11891824"));
    }
}